Package es.imim.DISGENET.internal.enrichment

# Class AutomationVariantEnrichmentTask

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.internal.enrichment.AbstractEnrichmentTask
es.imim.DISGENET.internal.enrichment.AutomationVariantEnrichmentTask

All Implemented Interfaces:
  `org.cytoscape.work.ObservableTask`, `org.cytoscape.work.Task`

public class AutomationVariantEnrichmentTask extends AbstractEnrichmentTask implements org.cytoscape.work.ObservableTask

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`columnName`
`Integer`
`minNumVariants`
`boolean`
`newNetwork`
`double`
`pvalueThreshold`
`String`
`source`
`String`
`typeId`

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`AutomationVariantEnrichmentTask(org.cytoscape.view.model.CyNetworkView cyNetworkView, Long selectedNetwork, String columnName, String source, String typeId, boolean newNetwork, double pvalueThreshold, Integer minNumVariants)`

## Method Summary

Modifier and Type
Method
Description
`List<Class<?>>`
`getResultClasses()`
`<R> R`
`getResults(Class<? extends R> type)`
`void`
`run(org.cytoscape.work.TaskMonitor taskMonitor)`

### Methods inherited from class es.imim.DISGENET.internal.enrichment.AbstractEnrichmentTask

`getConn, getCurrNetwork, getEnrichList, listNodeColumnsNames, main, openConnection, setUrlParams`

### Methods inherited from class org.cytoscape.work.AbstractTask

`cancel, getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.cytoscape.work.Task

`cancel`

## Field Details

### typeId

public String typeId

### columnName

public String columnName

### source

public String source

### newNetwork

public boolean newNetwork

### pvalueThreshold

public double pvalueThreshold

### minNumVariants

public Integer minNumVariants

## Constructor Details

### AutomationVariantEnrichmentTask

public AutomationVariantEnrichmentTask(org.cytoscape.view.model.CyNetworkView cyNetworkView, Long selectedNetwork, String columnName, String source, String typeId, boolean newNetwork, double pvalueThreshold, Integer minNumVariants)

## Method Details

### run

public void run(org.cytoscape.work.TaskMonitor taskMonitor) throws Exception

Specified by:
  `run` in interface `org.cytoscape.work.Task`
Overrides:
  `run` in class `AbstractEnrichmentTask`
Throws:
  `Exception`

### getResults

public <R> R getResults(Class<? extends R> type)

Specified by:
  `getResults` in interface `org.cytoscape.work.ObservableTask`

### getResultClasses

public List<Class<?>> getResultClasses()

Specified by:
  `getResultClasses` in interface `org.cytoscape.work.ObservableTask`